# Unalias built-in

The unalias built-in undefines aliases.

## Syntax

- `unalias name…`

- `unalias -a`

## Description

The unalias built-in removes the definition of the aliases specified by operands.

## Options

`-a`
`--all`

  Undefine all aliases.

## Operands

name

  The name of an alias to be undefined.

## Exit status

The exit status of the unalias built-in is zero unless there is any error. It is an error to specify the name of a non-existing alias as name.

## Notes

The unalias built-in is a mandatory built-in.